#version 120

uniform sampler2D texture;
uniform float time = 1.0;

void main()
{
	vec2 coord=gl_TexCoord[0].xy;
	coord.t = coord.t+cos(coord.s*3 + time*15)*0.4*coord.s;
    gl_FragColor = texture2D(texture, coord) * gl_Color;
}
